package com.sql.admin.timer.config;

import com.sql.admin.timer.jobhandler.CommandJobHandler;
import com.sql.admin.timer.jobhandler.DemoJobHandler;
import com.sql.admin.timer.jobhandler.HttpJobHandler;
import com.sql.admin.timer.jobhandler.ShardingJobHandler;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * xxl-job config
 *
 * @author xuxueli 2017-04-28
 */
@Configuration
public class JobHandlerConfig {

    @Bean
    public CommandJobHandler commandJobHandler() {
        return new CommandJobHandler();
    }

    @Bean
    public DemoJobHandler demoJobHandler() {
        return new DemoJobHandler();
    }

    @Bean
    public HttpJobHandler httpJobHandler() {
        return new HttpJobHandler();
    }

    @Bean
    public ShardingJobHandler shardingJobHandler() {
        return new ShardingJobHandler();
    }

}
